No GUI with package installation or package wont install



  • Hello all.

    I have been using pfsense as my home router without any additional packages installed.  I found i need some bandwidth monitoring tools.

    1)  Alot of the packages (squid - bandwidthD) wont install period.  I have read the blogs about them fixing it.  I try to install again each day and it still tells me that the installation fails.

    1. Some of the packages work install  (dashboard, pfflowd, snort), but NONE of them show up in the GUI.  I have tried ininstalling and reinstalling - i have tried rebooting the machine and restarting the web interface…  I am at a loss.  Can anyone please tell me how to get them to show up in the GUI?  And any ideas about why the packages that say they are fixed still arnt installing?  Thanks

    -Nate



  • Are you running a full install? Which version of pfSense?



  • Sorry… rookie mistake not including that important info!  I am running 1.2 final on a 3.0 ghz machine 2 gb ram, installed to a 80 gb sata hard drive.  Overkill? Absolutely... it was the only computer that i had free to throw pfsense on!

    Hope that helps... :)



  • Then I don't know. A full install shouldn't have issues with packet installation. Anything strange in the systemlogs when you install a package?



  • Yes there is…

    Mar 27 06:16:46 php: /pkg_mgr_install.php: Beginning package installation for Dashboard.
    Mar 27 06:16:48 php: /pkg_mgr_install.php: XML error: not well-formed (invalid token) at line 1
    Mar 27 06:18:16 php: /pkg_mgr_install.php: Beginning package installation for bandwidthd.

    #Bandwidth never installs... it throws the following error:
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading squid and its dependencies... done.
    Checking for successful package installation... failed!

    Installation aborted.
    Mar 27 06:19:08 php: /pkg_mgr_install.php: Beginning package installation for pfflowd.
    Mar 27 06:19:10 php: /pkg_mgr_install.php: XML error: syntax error at line 1
    Mar 27 06:22:25 php: /pkg_mgr_install.php: Beginning package installation for nmap.
    Mar 27 06:22:38 php: /pkg_mgr_install.php: XML error: not well-formed (invalid token) at line 1
    Mar 27 06:23:35 php: /pkg_mgr_install.php: Beginning package installation for snort.
    Mar 27 06:23:36 php: /pkg_mgr_install.php: XML error: not well-formed (invalid token) at line 1
    Mar 27 06:24:46 php: /pkg_mgr_install.php: Beginning package installation for squid.

    #does the same thing for squid...
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading squid and its dependencies... done.
    Checking for successful package installation... failed!

    Its weird.... i installed all of those packages before, and all but bandwidth and squid showed up under installed packages...
    When i rebooted the firewall, it showed no installed packages at all, Although im using pfflowd and its still sending info to my tracking software.  If i log on via putty, i can see where it created the folders for squid and snort... but it doesnt work.  I hope you can shed some light on it :)  Thanks for getting back to me!

    -Nate



  • I would reinstall, maybe something went wrong installing it to disk.

    Clear the disk with your favorite tool of choice.
    Boot from pfSense disk.
    Assign nic's and press 99 to install on disk.
    After reboot login to the webgui and complete the guide.
    After the reload install the squid package.



  • Hello, I have the same problem on 3 independent PfSense servers. Since release 1.2 I am not able to install pfflowd package.
    I see that package installed but not in webgui, so I can't easy manage it. In system logs I can see the same error message and
    have no chance to run it. Even I did a clean install the problem is the same.

    Have anyone to solve it? Need to use this package for monitoring.



  • same error here when i tried to install it on a fresh 1.2-release.



  • yep pfflowd seems to install but get :
    php: /pkg_mgr_install.php: XML error: syntax error at line 1

    think I was able to work around it by entering from command line after installation :

    /usr/local/sbin/pfflowd -n 192.168.x.x:2048    (with my netflow collector's ip)

    using PRTG traffic grapher for windows on the collector, seems to work but I'm new to this



  • Hi,

    I have found that there is at least limited possibility to install pfflowd:

    1. Install from the package (xml error in line 1 message - no GUI)
    2. Enable ssh access (Web GUI/System/Advanced/Enable Secure Shell)
    3. LogIn via ssh
    4. go to shell (8)
    5. change to configuration file location of pfflowd (/usr/local/etc/rc.d)
    6. vi  pfflowd.sh.sample and put required values of receiving host ip and port number
    7. rename pfflowd.sh.sample to pfflowd.sh (this shell script should start automatically pfflowd on next reboot)
    8. reboot machine
    9. top and see pfflowd service running (hopefully :))



  • The pfflowd package should work now, so reinstall


Log in to reply